Bug 197321 - Import WPT referrer-policy tests
Summary: Import WPT referrer-policy tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks: 197322
  Show dependency treegraph
 
Reported: 2019-04-26 13:02 PDT by youenn fablet
Modified: 2019-05-07 02:50 PDT (History)
9 users (show)

See Also:


Attachments
Patch (6.53 MB, patch)
2019-04-26 13:12 PDT, youenn fablet
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (3.13 MB, application/zip)
2019-04-26 16:04 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-highsierra-wk2 (2.81 MB, application/zip)
2019-04-26 16:17 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (7.77 MB, application/zip)
2019-04-26 16:54 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-highsierra (2.89 MB, application/zip)
2019-04-27 00:08 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (2.89 MB, application/zip)
2019-04-27 03:07 PDT, Build Bot
no flags Details
patch (8.37 MB, patch)
2019-05-01 09:49 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-04-26 13:02:33 PDT
Import WPT referrer-policy tests
Comment 1 youenn fablet 2019-04-26 13:12:43 PDT
Created attachment 368344 [details]
Patch
Comment 2 Build Bot 2019-04-26 15:13:52 PDT
Attachment 368344 [details] did not pass style-queue:

Traceback (most recent call last):
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkit-patch", line 84, in <module>
    main()
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkit-patch", line 79, in main
    WebKitPatch(os.path.abspath(__file__)).main()
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/multicommandtool.py", line 305, in main
    result = command.check_arguments_and_execute(options, args, self)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/multicommandtool.py", line 123, in check_arguments_and_execute
    return self.execute(options, args, tool) or 0
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/abstractsequencedcommand.py", line 55, in execute
    self._sequence.run_and_handle_errors(tool, options, state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/stepsequence.py", line 73, in run_and_handle_errors
    self._run(tool, options, state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/stepsequence.py", line 67, in _run
    step(tool, options).run(state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/steps/checkstyle.py", line 66, in run
    self._tool.executive.run_and_throw_if_fail(self._tool.deprecated_port().check_webkit_style_command() + args, cwd=self._tool.scm().checkout_root)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 137, in run_and_throw_if_fail
    exit_code = self._run_command_with_teed_output(args, child_stdout, **kwargs)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 109, in _run_command_with_teed_output
    **kwargs)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 481, in popen
    return subprocess.Popen(string_args, **kwargs)
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py", line 1335, in _execute_child
    raise child_exception
OSError: [Errno 7] Argument list too long


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Build Bot 2019-04-26 16:04:48 PDT
Comment on attachment 368344 [details]
Patch

Attachment 368344 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12009586

New failing tests:
imported/w3c/web-platform-tests/custom-elements/custom-element-registry/per-global.html
imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-on-the-window-object/navigated-named-objects.window.html
Comment 4 Build Bot 2019-04-26 16:04:50 PDT
Created attachment 368358 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 5 Build Bot 2019-04-26 16:17:53 PDT
Comment on attachment 368344 [details]
Patch

Attachment 368344 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12009613

New failing tests:
imported/w3c/web-platform-tests/custom-elements/custom-element-registry/per-global.html
imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-on-the-window-object/navigated-named-objects.window.html
Comment 6 Build Bot 2019-04-26 16:17:55 PDT
Created attachment 368361 [details]
Archive of layout-test-results from ews105 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 7 Build Bot 2019-04-26 16:54:04 PDT
Comment on attachment 368344 [details]
Patch

Attachment 368344 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12009717

New failing tests:
imported/w3c/web-platform-tests/custom-elements/custom-element-registry/per-global.html
imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-on-the-window-object/navigated-named-objects.window.html
Comment 8 Build Bot 2019-04-26 16:54:06 PDT
Created attachment 368368 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 9 Build Bot 2019-04-27 00:08:43 PDT
Comment on attachment 368344 [details]
Patch

Attachment 368344 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12013320

New failing tests:
imported/w3c/web-platform-tests/custom-elements/custom-element-registry/per-global.html
imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-on-the-window-object/navigated-named-objects.window.html
Comment 10 Build Bot 2019-04-27 00:08:45 PDT
Created attachment 368391 [details]
Archive of layout-test-results from ews115 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 11 Build Bot 2019-04-27 03:07:51 PDT
Comment on attachment 368344 [details]
Patch

Attachment 368344 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12014315

New failing tests:
imported/w3c/web-platform-tests/custom-elements/custom-element-registry/per-global.html
imported/w3c/web-platform-tests/html/browsers/the-window-object/named-access-on-the-window-object/navigated-named-objects.window.html
Comment 12 Build Bot 2019-04-27 03:07:53 PDT
Created attachment 368395 [details]
Archive of layout-test-results from ews117 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 13 youenn fablet 2019-05-01 09:49:39 PDT
Created attachment 368680 [details]
patch
Comment 14 Build Bot 2019-05-01 12:19:13 PDT
Attachment 368680 [details] did not pass style-queue:

Traceback (most recent call last):
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkit-patch", line 84, in <module>
    main()
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkit-patch", line 79, in main
    WebKitPatch(os.path.abspath(__file__)).main()
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/multicommandtool.py", line 305, in main
    result = command.check_arguments_and_execute(options, args, self)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/multicommandtool.py", line 123, in check_arguments_and_execute
    return self.execute(options, args, tool) or 0
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/abstractsequencedcommand.py", line 55, in execute
    self._sequence.run_and_handle_errors(tool, options, state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/stepsequence.py", line 73, in run_and_handle_errors
    self._run(tool, options, state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/commands/stepsequence.py", line 67, in _run
    step(tool, options).run(state)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/steps/checkstyle.py", line 66, in run
    self._tool.executive.run_and_throw_if_fail(self._tool.deprecated_port().check_webkit_style_command() + args, cwd=self._tool.scm().checkout_root)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 137, in run_and_throw_if_fail
    exit_code = self._run_command_with_teed_output(args, child_stdout, **kwargs)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 109, in _run_command_with_teed_output
    **kwargs)
  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/common/system/executive.py", line 481, in popen
    return subprocess.Popen(string_args, **kwargs)
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py", line 1335, in _execute_child
    raise child_exception
OSError: [Errno 22] Invalid argument


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 15 youenn fablet 2019-05-03 15:21:21 PDT
ping review?
Comment 16 WebKit Commit Bot 2019-05-07 02:49:38 PDT
Comment on attachment 368680 [details]
patch

Clearing flags on attachment: 368680

Committed r245004: <https://trac.webkit.org/changeset/245004>
Comment 17 WebKit Commit Bot 2019-05-07 02:49:40 PDT
All reviewed patches have been landed.  Closing bug.
Comment 18 Radar WebKit Bug Importer 2019-05-07 02:50:27 PDT
<rdar://problem/50534472>